From e9b49208258064b79bfb7d695e4006a9cbf19538 Mon Sep 17 00:00:00 2001
From: Lucki <lucki@holarse-linuxgaming.de>
Date: Thu, 1 Dec 2022 00:41:24 +0000
Subject: [PATCH 07/11] Don't forget hyperpaperd

---
 hydrapaper_daemon/hydrapaperd.in.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/hydrapaper_daemon/hydrapaperd.in.py b/hydrapaper_daemon/hydrapaperd.in.py
index abc2782..452cb60 100755
--- a/hydrapaper_daemon/hydrapaperd.in.py
+++ b/hydrapaper_daemon/hydrapaperd.in.py
@@ -10,6 +10,7 @@ from dbus.mainloop.glib import DBusGMainLoop
 from os.path import isfile
 from os import environ as Env
 import json
+import os
 from hydrapaper.monitor_parser import (
     build_monitors_autodetect,
     build_combined_spanned_monitor
@@ -26,8 +27,7 @@ is_flatpak = (
     isfile(f'{Env["XDG_RUNTIME_DIR"]}/flatpak-info')
 )
 CONFIG_PATH = '{0}/org.gabmus.hydrapaper.json'.format(
-    Env.get('XDG_CONFIG_HOME') if is_flatpak
-    else Env.get('HOME') + '/.config'
+    os.getenv('XDG_CONFIG_HOME', f'{Env.get("HOME")}/.config')
 )
 
 PACKAGE = 'org.gabmus.hydrapaper.Daemon'
-- 
2.40.1


